<main class="container-fluid p-0">
    <div class="bg-profile pt-4">
        <div class="container cover-user">
            <img src="/images/avatar.png"/>
        </div>

        <div class="container body-user">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="text-center"><%= title %></h1>
                    <% if (userProf.rol === 'artist' ) { %>
                        <p class="text-center"><%= userProf.biography %></p>
                    <% } %>
                </div>

                <div class="col-12">
                    <nav class="nav-profile" >
                        <div class="nav nav-tabs" id="nav-tab" role="tablist">
                            <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab" aria-controls="nav-home" aria-selected="true">Detalles del perfil</a>
                            
                            <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab" href="#nav-profile" role="tab" aria-controls="nav-profile" aria-selected="false">Información</a>

                            <% if (!locals.noEdit) { %> 
                            <a type="button" class="nav-item nav-link ml-auto" data-toggle="modal" data-target="#exampleModalCenter">
                                <i class="fas fa-edit mr-2"></i> Editar Perfil
                            </a>
                            <% } %>
                        </div>
                    </nav>
                </div>
            </div>


        </div>
    </div>

    <!-- Modal -->
    <% if (!locals.noEdit) { %> 
    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalCenterTitle">Editar perfil</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body">
                    <form action="/user/profile" method="POST">

                        <div class="form-row">

                            <div class="form-group col">
                                <label for="username">Nombre de usuario</label>
                                <input type="text" id="username" class="form-control" readonly name="username" placeholder="Nombre de usuario" value="<%= user.username %>" required>
                            </div>

                            <div class="form-group col">
                                <label for="email">Correo electrónico</label>
                                <input type="email" id="email" class="form-control" readonly name="email" placeholder="Correo electrónico" value="<%= user.email %>">
                            </div>

                        </div>


                        <div class="form-row">

                            <div class="form-group col">
                                <label for="name">Nombre</label>
                                <input type="text" id="name" class="form-control" name="name" placeholder="Nombre" value="<%= user.name %>" required autofocus>
                            </div>

                            <div class="form-group col">
                                <label for="surname">Apellidos</label>
                                <input type="text" id="surname" class="form-control" name="surname" placeholder="Apellidos" value="<%= user.surname %>" required>
                            </div>
                        </div>

                        <div class="form-row">
                            <% if (user.rol === 'customer') { %>
                            <div class="form-group col">
                                <label for="doc">Número de documento</label>
                                <input type="text" id="doc" class="form-control" name="doc" placeholder="Número de documento" value="<%= user.doc %>" >
                            </div>
                            <% } %>

                            <% if (user.rol === 'artist') { %>
                            <div class="form-group col">
                                <label for="doc">Nombre artistico</label>
                                <input type="text" id="artistic_name" class="form-control" name="artistic_name" placeholder="Nombre artistico" value="<%= user.artistic_name %>" >
                            </div>
                            <% } %>

                            <div class="form-group col">
                                <label for="tel">Número de teléfono</label>
                                <input type="text" id="tel" class="form-control" name="tel" placeholder="Número de teléfono" value="<%= user.tel %>" required>
                            </div>
                        </div>

                        <% if (user.rol === 'artist') { %>
                        <div class="form-group">
                            <label for="doc">Nombre artistico</label>
                            <textarea name="biography" id="biography" class="form-control"><%= user.biography %></textarea>
                        </div>
                        <% } %>


                        <hr>
                        <div class="row">
                            <div class="col">
                                <button type="button" class="btn btn-secondary btn-block" data-dismiss="modal">Cancelar</button>
                            </div>

                            <div class="col">
                                <button type="submit" class="btn btn-primary btn-block">Guardar cambios</button>
                            </div>
                        </div>
                    </form>
                </div>
                
            </div>
        </div>
    </div>
    <% } %>

    <div class="container mb-5">
        <div class="row">
            
            <div class="col-md-12">
                
                <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade show active py-3" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="card">
                                    <div class="card-body">
                                        <h5>Datos personales</h5>
                                        <hr>
                                        <p>
                                            <b>Nombre:</b> <%= userProf.name %> <% if (userProf.surname) { %> <%= userProf.surname %> <% } %> <br>
                                            <b>Nombre de usuario:</b> <%= userProf.username %> <br>
                                            
                                            <% if (userProf.rol === 'artist' ) { %>
                                                <b>Nombre artistico: </b> <%= userProf.artistic_name %>
                                            <% } %>

                                            <% if (userProf.rol === 'customer' ) { %>
                                                <b>Número de documento: </b> <%= userProf.doc %>
                                            <% } %>

                                        </p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="card">
                                    <div class="card-body">
                                        <h5>Datos de contacto</h5>
                                        <hr>
                                        <p>
                                            <b>Corrreo electrónico: </b> <%= userProf.email %> <br>
                                            <b>Número de teléfono: </b> <%= userProf.tel %> <br>                                        
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="tab-pane fade row py-3" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                        <div class="col-md-12">
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Fugit quidem sit autem deleniti alias rem sunt excepturi at voluptatibus assumenda rerum, eaque dolorum sed dolores eveniet nobis libero harum. Temporibus.</p>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
</main>